<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>
<div class="col-sm-12">
    <button class="mb-2 mr-2 btn btn-lg btn-block btn-outline-success" (click)="agregarMetodoPago()">Agregar Nuevo
    </button>
</div>
<div class="main-card mb-3 card" *ngIf="agregarEditarActive">
    <div class="card-body">
        <h5 class="card-title">Agregar/Editar Método de Pago</h5>
        <form [formGroup]="metodoPagoForm" (submit)="agregarEditarMetodoPago()">
            <div class="form-row">
                <div class="col-md-12">
                    <div class="position-relative form-group"><label for="nombre">Nombre</label>
                        <input name="nombre" id="nombre" formControlName="nombre" placeholder="Nombre del método de pago" type="text" class="form-control">
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="position-relative form-group"><label for="numeroTarjeta">Número de Tarjeta</label>
                        <input name="numeroTarjeta" id="numeroTarjeta" formControlName="numeroTarjeta" placeholder="Número de tarjeta" type="text" class="form-control" />
                    </div>
                </div>
            </div>
            <div class="position-relative form-group">
                <label for="expiracion">Expiración</label><input name="expiracion" id="expiracion" formControlName="expiracion" placeholder="Fecha de Expiración" type="date" class="form-control">
            </div>
            <div class="position-relative form-group"><label for="catTipoPago_id">Tipo de Pago</label>
                <select name="catTipoPago_id" id="catTipoPago_id" type="text" formControlName="catTipoPago_id" class="form-control">
                    <option value="">Seleccionar Tipo de Pago</option>
                    <option *ngFor="let tipoPago of this.catTiposPago;" [value]="tipoPago.catTipoPago_id">{{tipoPago.nombre}}</option>
                </select>
            </div>
            <div class="form-row">
                <div class="col-md-12">
                    <div class="position-relative form-group">
                        <label for="usuario_id">Usuario</label>
                        <select name="usuario_id" id="usuario_id" class="form-control" formControlName="usuario_id">
                            <option value="">Selecciona un usuario</option>
                            <option *ngFor="let u of usuarios" [value]="u.usuario_id">{{u.correoElectronico}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <input name="metodoPago_id" type="text" formControlName="metodoPago_id" hidden readonly>
            <input name="fechaModificacion" type="text" formControlName="fechaModificacion" hidden readonly>
            <input class="mt-2 btn btn-primary" type="submit" [disabled]="this.metodoPagoForm.invalid" [value]="btnmsg" />
        </form>
    </div>
</div>
<div class="main-card mb-3 card">
    <div class="card-body">
        <h5 class="card-title">Métodos de Pago</h5>
        <div class="table-responsive">
            <table class="align-middle mb-0 table table-borderless table-striped table-hover">
                <thead>
                    <tr>
                        <th class="text-center">#</th>
                        <th>Nombre</th>
                        <th class="text-center">Número de Tarjeta</th>
                        <th class="text-center">Tipo de Pago</th>
                        <th class="text-center">Usuario</th>
                        <th class="text-center">Expiración</th>
                        <th class="text-center">Fecha de Creación</th>
                        <th class="text-center">Fecha de Modificación</th>
                        <th class="text-center">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let metodo of this.metodosPago">
                        <td class="text-center text-muted">{{metodo.metodoPago_id}}</td>
                        <td class="text-center text-muted">{{metodo.nombre}}</td>
                        <td class="text-center">{{metodo.numeroTarjeta}}</td>
                        <td class="text-center text-muted">{{metodo.cat_tipo_pago.nombre}}</td>
                        <td class="text-center text-muted">{{metodo.usuario.correoElectronico}}</td>
                        <td class="text-center text-muted">{{metodo.expiracion | date: 'yyyy/MM'}}</td>
                        <td class="text-center text-muted">{{metodo.fechaCreacion}}</td>
                        <td class="text-center text-muted">{{metodo.fechaModificacion}}</td>
                        <td class="text-center">
                            <button type="button" class="btn btn-outline-light btn-sm" (click)="editarMetodoPago(metodo)">Editar</button>
                            <button type="button" class="btn btn-outline-danger btn-sm" (click)="eliminarMetodoPago(metodo.metodoPago_id)">Eliminar</button>
                        </td>
                    </tr>
                </tbody>
                <tfoot *ngIf="sinMetodos">
                    <tr>
                        <th colspan="8" class="text-center text-danger">No hay métodos de pago actualmente</th>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</div>